
// Persistence of Vision Ray Tracer Include File
// POV-Ray 3.0
// File: KRMat.inc
// Vers: 1.0
// Desc: Textures fr die Kugelraumer
// Date: 20.01.97
// Auth: Harald Ottacher
//       email: ottacher@iwf.tu-graz.ac.at
//
////////////////////////////////////////////////////

// Materials
//---------------------------------------------------

// Texture TERKONIT
#declare TERKONIT =
texture {
  pigment { color red 0.56 green 0.56 blue 0.8}
  finish {
    metallic
    ambient 0.0
    diffuse 0.7
    brilliance 1
    reflection 0.1
    specular 0.7
    roughness 1/60
  }
} // end texture

//---------------------------------------------------
// Terkonit Kugelraumer Schale

#declare _d = 0.70
#declare _r = 100
#declare _T_S_1 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 1

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_2 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }

} // end text 2

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_3 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 3

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_4 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 4

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_5 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 5

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_6 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 6

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_7 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 7

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_8 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 8

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_9 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 9

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_10 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 10

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_11 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 11

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_12 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 12

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_13 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 13

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_14 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 14

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_15 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 15

#declare _d = _d-0.01
#declare _r = _r-5
#declare _T_S_16 =
texture {
  TERKONIT
  finish { diffuse _d
           roughness 1/_r }
} // end text 16


#declare _T_SCHALE =
texture {
  material_map {
    gif _MAT_gif
    map_type Sphere_Map

    /* Now a list of textures to map with instead of colors */
    texture { _T_S_1 }
    texture { _T_S_2 }
    texture { _T_S_3 }
    texture { _T_S_4 }
    texture { _T_S_5 }
    texture { _T_S_6 }
    texture { _T_S_7 }
    texture { _T_S_8 }
    texture { _T_S_9 }
    texture { _T_S_10 }
    texture { _T_S_11 }
    texture { _T_S_12 }
    texture { _T_S_13 }
    texture { _T_S_14 }
    texture { _T_S_15 }
    texture { _T_S_16 }

  } // end mat_map
  rotate < 0, _M_ANGL, 0 >
} // end texture

//---------------------------------------------------
// Fenster Texture

#declare _T_F_finish =
finish {
  ambient 0.05
  diffuse 0.1
  reflection 0.2
  refraction 1
  ior 1.5
  phong 0.3
  phong_size 60
} // end finish

#ifdef (_NO_F_LIGHT)
#declare _T_FENSTER =
texture {
   pigment {colour rgbft <0.4, 0.4, 0.4, 0.7, 0.3> }
   finish { _T_F_finish }
} // end text
#else
#declare _T_FENSTER =
texture {
   pigment {colour rgbft <0.4, 0.4, 0.4, 0.7, 1.0>}
   finish { _T_F_finish }
   halo {
      emitting
      constant
      max_value 1
      spherical_mapping
      colour_map {
         [0 color rgbt <1.0, 1.0, 1.0, 0>]
         [1 color rgbt <0.9, 1.0, 0.8, -1>]
      }
     // turbulence 0.5
      scale _FENSTER_R
      samples 10
   } // end halo
} // end text
#end

//---------------------------------------------------
// Kuppel Texture

#declare _T_K_text =
texture {
  pigment {colour rgbft <0.4, 0.4, 0.6, 0.5, 0.5> }
  finish {
     ambient 0.00
     diffuse 0.2
     reflection 0.1
     refraction 1
     ior 1.5
     phong 0.3
     phong_size 60
   } // end finish
} // end text

#ifdef (_NO_K_LIGHT)
#declare _T_GSK =
texture { _T_K_text
} // end text
#else
#declare _T_GSK =
texture { _T_K_text
   halo {
      emitting
      cubic
      max_value 1
      spherical_mapping
      colour_map {
         [0 color rgbt <1.0, 0.0, 0.0, 0.6>]
         [0.2 color rgbt <1.0, 0.2, 0.1, 0.4>]
         [1 color rgbt <1.0, 0.4, 0.2, 0.0>]
      }
      samples 10
   } // end halo
} // end text
#end

//---------------------------------------------------
